FIXUIFILES(1)

NAME
fixuifiles - remove undesirable features from TQt/TDE .ui files

SYNOPSIS
fixuifiles [ -v, --verbose ] [ --omitqtcheck ] [ file ... ]
fixuifiles --help

DESCRIPTION
fixuifiles processes one or more TQt/TDE user interface definition files (.ui files) and tries to remove some of the insanities found therein. If no filenames are given, fixuifiles will process all .ui files in or beneath the current directory.

The following problems are fixed:

    Too high minimum Qt version;

    Hardcoded untranslatable Alt+Letter accels (auto-added by Qt Designer);

    Captions that are equal to class names (auto-added by Qt Designer).

The threshold Qt version can be set using either a .qt_minversion file (containing simply the Qt version number) or a configure.in.in file (containing an appropriate MIN_CONFIG macro). These files may be in the directory containing the .ui file or any parent directory. If no threshold Qt version is found, a sensible default will be used.

This utility is part of the TDE Software Development Kit.

OPTIONS

-v, --verbose
    Verbose mode. Additional debugging information is written to standard output.

--omitqtcheck
    Do not check the minimum Qt version.

AUTHOR
fixuifiles was written by David Faure <faure@kde.org> and Dirk Mueller <mueller@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).